      program arcsin
      theta1=asin(1.0)
      print*,theta1
      theta2=asin(sqrt(3.0)/4)
      print*,theta2
      rat=(theta1/theta2)**2
      print*,rat
      theta2=2*theta1-theta2
      print*,theta2
      stop
      end
